Bug 206757 - kernel-pae fails to boot: request_module: runaway loop modprobe binfmt-0000
Summary: kernel-pae fails to boot: request_module: runaway loop modprobe binfmt-0000
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 6
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 207254
TreeView+ depends on / blocked
 
Reported: 2006-09-16 08:04 UTC by Daniel Tschan
Modified: 2008-08-02 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 00:13:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel and lspci -vv output (31.10 KB, text/plain)
2006-09-16 08:04 UTC, Daniel Tschan
no flags Details
kernel-PAE-2.6.18-1.2798.fc6.i686 failing to execute /init (9.74 KB, text/plain)
2006-10-30 07:02 UTC, Daniel Tschan
no flags Details

Description Daniel Tschan 2006-09-16 08:04:01 UTC
Description of problem:
fc6test3 kernel with PAE support fails to boot with: request_module: runaway
loop modprobe binfmt-0000

Configuration:
Gigabyte GA-965P-DS3 mainboard with Intel P965, ICH8 (not ICH8R), JMicron JMB363
Intel Core 2 Duo E6600
4x 1GB DDR2-675
Software RAID 5 with 3x 250gb SATA2 disks
Gigabyte GV-NX76G256D-RH PCIe graphics card with nVidia GeForce 7600 GS

Version-Release number of selected component (if applicable):
2.6.17-1.2630.fc6PAE

How reproducible:
always

Steps to Reproduce:
1. boot fc6test3 PAE kernel
2.
3.
  
Actual results:
boot fails with request_module: runaway loop modprobe binfmt-0000

Expected results:
boots successfully

Additional info:
Kernels without PAE support boot successfully
Attachment with complete kernel and lspci -vv output

Comment 1 Daniel Tschan 2006-09-16 08:04:02 UTC
Created attachment 136412 [details]
Kernel and lspci -vv output

Comment 2 Daniel Tschan 2006-09-20 08:52:39 UTC
2.6.17-1.2647.fc6PAE shows the same behaviour. 2.6.17-1.2647.fc6xen boots
despite PAE support, but is unstable. See bug #207254


Comment 3 Daniel Tschan 2006-09-22 17:56:22 UTC
Same for kernel-PAE-2.6.18-1.2689.fc6.


Comment 4 Eric Sandeen 2006-09-25 20:45:54 UTC
A similar report was traced to highmem problems in a scsi driver (a long time
ago...):

http://www.ussg.iu.edu/hypermail/linux/kernel/0406.1/1127.html

Comment 5 Daniel Tschan 2006-10-30 06:59:33 UTC
Problem is still present in kernel-PAE-2.6.18-1.2798.fc6.i686. This one panics
with "failed to execute /init", though. See new attachment.
The problem seems to be here:
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected an Intel 965G Chipset.
agpgart: AGP aperture is 256M @ 0x0

With agp=off everything works like a charm. Bug #207254 and bug #212342 seem to
be one and the same.

Comment 6 Daniel Tschan 2006-10-30 07:02:26 UTC
Created attachment 139698 [details]
kernel-PAE-2.6.18-1.2798.fc6.i686 failing to execute /init

Comment 7 Jon Stanley 2007-12-31 01:41:05 UTC
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 8 Jon Stanley 2008-01-08 00:13:10 UTC
Closing per previous comment.  If you can provide the requested information,
please feel free to re-open this bug.


Note You need to log in before you can comment on or make changes to this bug.